; Source created with Parsic Version 3.x

; at              : 12/08/02 19.46.25


; Project File    : c:\PROGRA~1\PARSIC\CONTAT~1\WATCH7SG.PIC

; Project Version : 1.0.58

; Created         : 14/03/99 21.14.00

; Last change     : 12/08/02 19.34.00

	PROCESSOR 16F84

	INCLUDE P16F84.INC

	RADIX DEC


	__IDLOCS H'0100'

	__CONFIG _CP_OFF & _PWRTE_ON & _WDT_ON & _XT_OSC

; Diverses

ZERO	EQU Z	; ZERO-Flag
CARRY	 EQU C	; CARRY-Flag


; Variable

Z1	= 12	; located in Bank 0, 1
Z1_FD	= 13	; located in Bank 0, 1
S2	= 14	; located in Bank 0, 1
S1	= 15	; located in Bank 0, 1
SYS_TMP1	= 16	; located in Bank 0, 1
Z10	= 17	; located in Bank 0, 1
Z10_FD	= 18	; located in Bank 0, 1
SYS_WSAV	= 19	; located in Bank 0, 1
SYS_SSAV	= 20	; located in Bank 0, 1
TR1	= 21	; located in Bank 0, 1
TR1_HI	= 22	; located in Bank 0, 1
S3	= 23	; located in Bank 0, 1
S0	= 24	; located in Bank 0, 1
Z100	= 25	; located in Bank 0, 1
Z100_FD	= 26	; located in Bank 0, 1
Z1000	= 27	; located in Bank 0, 1
Z1000_FD	= 28	; located in Bank 0, 1
TR2	= 29	; located in Bank 0, 1
TR2_HI	= 30	; located in Bank 0, 1
ZV1	= 31	; located in Bank 0, 1
ZV1_FD	= 32	; located in Bank 0, 1
ZR5	= 33	; located in Bank 0, 1
ZR5_FD	= 34	; located in Bank 0, 1
S4	= 35	; located in Bank 0, 1
TR3	= 36	; located in Bank 0, 1
TR3_HI	= 37	; located in Bank 0, 1
RAM	= 38	; located in Bank 0, 1

	ERRORLEVEL -302	; disable warning (Bankswitching)
	ERRORLEVEL -306	; disable warning (Pageswitching)

;****************************************
;Programmanfang
;****************************************

	ORG 0

	CLRF STATUS	; switch to RAM-Bank 0
	GOTO SYS_INIT
	NOP
	NOP

;****************************************
;Interrupt-Adress
;****************************************

	MOVWF SYS_WSAV	; save register
	SWAPF STATUS,W
	CLRF STATUS	; bank 0
	MOVWF SYS_SSAV

	BCF INTCON,T0IF	; Interrupt quitieren

	INCFSZ TR1,F
	GOTO SYS_INT_LABEL_0
	INCF TR1_HI,F

SYS_INT_LABEL_0
	INCFSZ TR2,F
	GOTO SYS_INT_LABEL_1
	INCF TR2_HI,F

SYS_INT_LABEL_1
	INCFSZ TR3,F
	GOTO SYS_INT_LABEL_2
	INCF TR3_HI,F

SYS_INT_LABEL_2

EXITINT

	SWAPF SYS_SSAV,W	; Register zurck
	MOVWF STATUS
	SWAPF SYS_WSAV,F
	SWAPF SYS_WSAV,W

	RETFIE	; RETurn From Interrupt and Enable GIE


;****************************************
; Subroutines
;****************************************


;****************************************
;Initialisierung
;****************************************


SYS_INIT

	MOVLW B'00100000'
	MOVWF INTCON

; Ausgangs-Pegel setzen, bevor die Richtung gesetzt wird

	BCF STATUS,RP0	; Bank 0
	MOVLW B'00000000'
	MOVWF PORTA

	MOVLW B'01111111'
	MOVWF PORTB

	MOVLW 143
	BSF STATUS,RP0	; Bank 1
	MOVWF OPTION_REG


; Richtung setzen

	MOVLW B'11110000'
	MOVWF TRISA

	MOVLW B'10000000'
	MOVWF TRISB

; init vars


; Clear RAM

	MOVLW 12
	MOVWF FSR
CR1
	CLRF INDF
	INCF FSR,F
	MOVFW FSR
	SUBLW 80
	BTFSS STATUS,ZERO
	GOTO CR1


	BCF STATUS,RP0	; Bank 0
	CLRF TMR0
	BCF INTCON,T0IF
	BSF INTCON,GIE	; Interrupt freigeben

;**********************************
;******* Haupt-Programm ***********
;**********************************

MAIN

	CLRWDT

;***************************************************
; Zhler -> Z1
;***************************************************

	BTFSS S2,0	; Reset ?
	GOTO LABEL_Z1_COUNT
	CLRF Z1
	GOTO LABEL_Z1_SETOUT

LABEL_Z1_COUNT

; Test auf positive Flanke

	BTFSC Z1_FD,0
	GOTO LABEL_Z1_SETFD
	BTFSS S3,1
	GOTO LABEL_Z1_SETFD

	INCF Z1,F

LABEL_Z1_SETOUT

; Output Q0

	BTFSS Z1,0
	GOTO LABEL_Z1_SETOUT0
	BSF S2,0
	GOTO LABEL_Z1_SETOUT0_END
LABEL_Z1_SETOUT0
	BCF S2,0
LABEL_Z1_SETOUT0_END

LABEL_Z1_SETFD

	BTFSS S3,1
	GOTO LABEL_Z1_SETFD2
	BSF Z1_FD,0
	GOTO LABEL_Z1_END
LABEL_Z1_SETFD2
	BCF Z1_FD,0
LABEL_Z1_END

;***************************************************
; Unterprogramm BIN_TO_7SEG aufrufen
;***************************************************

	MOVFW S0

	CALL BIN_TO_7SEG

	MOVWF S1

	BSF INTCON,GIE
;***************************************************
; Zhler -> Z10
;***************************************************

	BTFSS S2,1	; Reset ?
	GOTO LABEL_Z10_COUNT
	CLRF Z10
	GOTO LABEL_Z10_SETOUT

LABEL_Z10_COUNT

; Test auf positive Flanke

	BTFSC Z10_FD,0
	GOTO LABEL_Z10_SETFD
	BTFSS S2,0
	GOTO LABEL_Z10_SETFD

	INCF Z10,F

LABEL_Z10_SETOUT

; Output Q0

	BTFSS Z10,0
	GOTO LABEL_Z10_SETOUT0
	BSF S2,2
	GOTO LABEL_Z10_SETOUT0_END
LABEL_Z10_SETOUT0
	BCF S2,2
LABEL_Z10_SETOUT0_END

LABEL_Z10_SETFD

	BTFSS S2,0
	GOTO LABEL_Z10_SETFD2
	BSF Z10_FD,0
	GOTO LABEL_Z10_END
LABEL_Z10_SETFD2
	BCF Z10_FD,0
LABEL_Z10_END

;***************************************************
; Timer -> TR1
;***************************************************

	MOVLW 0	; Test auf >=
	SUBWF TR1_HI,W	;F-W -> W
	BTFSS STATUS,ZERO
	GOTO LABEL_TR1_CHECK
	MOVLW 8
	SUBWF TR1,W	;F-W -> W
LABEL_TR1_CHECK
	BTFSS STATUS,CARRY
	GOTO LABEL_TR1_ENDE

LABEL_TR1_RESET
	MOVLW 0	; Test auf >=
	SUBWF TR1_HI,F	;F-W -> F
	MOVLW 8
	SUBWF TR1,F	;F-W -> F
	BTFSS STATUS,CARRY
	DECF TR1_HI,F

LABEL_TR1_SET	; toggel output
	BTFSC S3,6
	GOTO LABEL_TR1_CLR
	BSF S3,6
	GOTO LABEL_TR1_ENDE
LABEL_TR1_CLR
	BCF S3,6
LABEL_TR1_ENDE

;***************************************************
; Multiplexer -> MX1
;***************************************************

	CLRF SYS_TMP1
	MOVFW ZV1
	BTFSS STATUS,ZERO
	GOTO LABEL_MX1_CHECKCONTROL1

	MOVFW Z1
	MOVWF S0
	GOTO LABEL_MX1_END

LABEL_MX1_CHECKCONTROL1
	INCF SYS_TMP1,F
	MOVFW ZV1
	SUBWF SYS_TMP1,W
	BTFSS STATUS,ZERO
	GOTO LABEL_MX1_CHECKCONTROL2

	MOVFW Z10
	MOVWF S0
	GOTO LABEL_MX1_END

LABEL_MX1_CHECKCONTROL2
	INCF SYS_TMP1,F
	MOVFW ZV1
	SUBWF SYS_TMP1,W
	BTFSS STATUS,ZERO
	GOTO LABEL_MX1_CHECKCONTROL3

	MOVFW Z100
	MOVWF S0
	GOTO LABEL_MX1_END

LABEL_MX1_CHECKCONTROL3
	INCF SYS_TMP1,F
	MOVFW ZV1
	SUBWF SYS_TMP1,W
	BTFSS STATUS,ZERO
	GOTO LABEL_MX1_CHECKCONTROL4

	MOVFW Z1000
	MOVWF S0
	GOTO LABEL_MX1_END

LABEL_MX1_CHECKCONTROL4

LABEL_MX1_END

;***************************************************
; Zhler -> Z100
;***************************************************

	BTFSS S2,3	; Reset ?
	GOTO LABEL_Z100_COUNT
	CLRF Z100
	GOTO LABEL_Z100_SETOUT

LABEL_Z100_COUNT

; Test auf positive Flanke

	BTFSC Z100_FD,0
	GOTO LABEL_Z100_SETFD
	BTFSS S2,1
	GOTO LABEL_Z100_SETFD

	INCF Z100,F

LABEL_Z100_SETOUT

; Output Q0

	BTFSS Z100,0
	GOTO LABEL_Z100_SETOUT0
	BSF S2,3
	GOTO LABEL_Z100_SETOUT0_END
LABEL_Z100_SETOUT0
	BCF S2,3
LABEL_Z100_SETOUT0_END

LABEL_Z100_SETFD

	BTFSS S2,1
	GOTO LABEL_Z100_SETFD2
	BSF Z100_FD,0
	GOTO LABEL_Z100_END
LABEL_Z100_SETFD2
	BCF Z100_FD,0
LABEL_Z100_END

;***************************************************
; Zhler -> Z1000
;***************************************************

	BTFSS S3,4	; Reset ?
	GOTO LABEL_Z1000_COUNT
	CLRF Z1000
	GOTO LABEL_Z1000_SETOUT

LABEL_Z1000_COUNT

; Test auf positive Flanke

	BTFSC Z1000_FD,0
	GOTO LABEL_Z1000_SETFD
	BTFSS S3,5
	GOTO LABEL_Z1000_SETFD

	INCF Z1000,F

LABEL_Z1000_SETOUT

; Output Q0

	BTFSS Z1000,0
	GOTO LABEL_Z1000_SETOUT0
	BSF S2,4
	GOTO LABEL_Z1000_SETOUT0_END
LABEL_Z1000_SETOUT0
	BCF S2,4
LABEL_Z1000_SETOUT0_END

LABEL_Z1000_SETFD

	BTFSS S3,5
	GOTO LABEL_Z1000_SETFD2
	BSF Z1000_FD,0
	GOTO LABEL_Z1000_END
LABEL_Z1000_SETFD2
	BCF Z1000_FD,0
LABEL_Z1000_END

;***************************************************
; UND - Gatter -> UG12
;***************************************************

LABEL_UG12_1
	BTFSC S2,4
	GOTO LABEL_UG12_FALSE
LABEL_UG12_2
	BTFSC S2,5
	GOTO LABEL_UG12_FALSE

LABEL_UG12_TRUE
	BCF STATUS,RP0	; Bank 0
	BSF PORTA,0
	GOTO LABEL_UG12_ENDE
LABEL_UG12_FALSE
	BCF STATUS,RP0	; Bank 0
	BCF PORTA,0
LABEL_UG12_ENDE
;***************************************************
; UND - Gatter -> UG13
;***************************************************

LABEL_UG13_1
	BTFSS S2,4
	GOTO LABEL_UG13_FALSE
LABEL_UG13_2
	BTFSC S2,5
	GOTO LABEL_UG13_FALSE

LABEL_UG13_TRUE
	BSF PORTA,1
	GOTO LABEL_UG13_ENDE
LABEL_UG13_FALSE
	BCF STATUS,RP0	; Bank 0
	BCF PORTA,1
LABEL_UG13_ENDE
;***************************************************
; UND - Gatter -> UG14
;***************************************************

LABEL_UG14_1
	BTFSC S2,4
	GOTO LABEL_UG14_FALSE
LABEL_UG14_2
	BTFSS S2,5
	GOTO LABEL_UG14_FALSE

LABEL_UG14_TRUE
	BSF PORTA,2
	GOTO LABEL_UG14_ENDE
LABEL_UG14_FALSE
	BCF STATUS,RP0	; Bank 0
	BCF PORTA,2
LABEL_UG14_ENDE
;***************************************************
; UND - Gatter -> UG15
;***************************************************

LABEL_UG15_1
	BTFSS S2,4
	GOTO LABEL_UG15_FALSE
LABEL_UG15_2
	BTFSS S2,5
	GOTO LABEL_UG15_FALSE

LABEL_UG15_TRUE
	BSF PORTA,3
	GOTO LABEL_UG15_ENDE
LABEL_UG15_FALSE
	BCF STATUS,RP0	; Bank 0
	BCF PORTA,3
LABEL_UG15_ENDE
;***************************************************
; Timer -> TR2
;***************************************************

	MOVLW 0	; Test auf >=
	SUBWF TR2_HI,W	;F-W -> W
	BTFSS STATUS,ZERO
	GOTO LABEL_TR2_CHECK
	MOVLW 4
	SUBWF TR2,W	;F-W -> W
LABEL_TR2_CHECK
	BTFSS STATUS,CARRY
	GOTO LABEL_TR2_ENDE

LABEL_TR2_RESET
	MOVLW 0	; Test auf >=
	SUBWF TR2_HI,F	;F-W -> F
	MOVLW 4
	SUBWF TR2,F	;F-W -> F
	BTFSS STATUS,CARRY
	DECF TR2_HI,F

LABEL_TR2_SET	; toggel output
	BTFSC S3,0
	GOTO LABEL_TR2_CLR
	BSF S3,0
	GOTO LABEL_TR2_ENDE
LABEL_TR2_CLR
	BCF S3,0
LABEL_TR2_ENDE

;***************************************************
; Verteiler -> BV1
;***************************************************

	BTFSC S1,0
	GOTO LABEL_BV1_0
	BCF STATUS,RP0	; Bank 0
	BSF PORTB,0
	GOTO LABEL_BV1_0_END
LABEL_BV1_0
	BCF STATUS,RP0	; Bank 0
	BCF PORTB,0
LABEL_BV1_0_END

;**********************************************

	BTFSC S1,1
	GOTO LABEL_BV1_1
	BSF PORTB,1
	GOTO LABEL_BV1_1_END
LABEL_BV1_1
	BCF PORTB,1
LABEL_BV1_1_END

;**********************************************

	BTFSC S1,2
	GOTO LABEL_BV1_2
	BSF PORTB,2
	GOTO LABEL_BV1_2_END
LABEL_BV1_2
	BCF PORTB,2
LABEL_BV1_2_END

;**********************************************

	BTFSC S1,3
	GOTO LABEL_BV1_3
	BSF PORTB,3
	GOTO LABEL_BV1_3_END
LABEL_BV1_3
	BCF PORTB,3
LABEL_BV1_3_END

;**********************************************

	BTFSC S1,4
	GOTO LABEL_BV1_4
	BSF PORTB,4
	GOTO LABEL_BV1_4_END
LABEL_BV1_4
	BCF PORTB,4
LABEL_BV1_4_END

;**********************************************

	BTFSC S1,5
	GOTO LABEL_BV1_5
	BSF PORTB,5
	GOTO LABEL_BV1_5_END
LABEL_BV1_5
	BCF PORTB,5
LABEL_BV1_5_END

;**********************************************

	BTFSC S1,6
	GOTO LABEL_BV1_6
	BSF PORTB,6
	GOTO LABEL_BV1_6_END
LABEL_BV1_6
	BCF PORTB,6
LABEL_BV1_6_END

;**********************************************


;***************************************************
; Zhler -> ZV1
;***************************************************

	BTFSS S2,6	; Reset ?
	GOTO LABEL_ZV1_COUNT
	CLRF ZV1
	GOTO LABEL_ZV1_SETOUT

LABEL_ZV1_COUNT

; Test auf positive Flanke

	BTFSS S2,2
	GOTO LABEL_ZV1_SETFD
	BTFSC ZV1_FD,0
	GOTO LABEL_ZV1_SETFD

	BSF ZV1_FD,0


	BTFSC S2,7	; Vorwrts oder Rckwrts ?
	GOTO LABEL_ZV1_BACKWARD

	INCF ZV1,F
	GOTO LABEL_ZV1_SETOUT

LABEL_ZV1_BACKWARD
	DECF ZV1,F

LABEL_ZV1_SETOUT

; Output Q0

	BTFSS ZV1,0
	GOTO LABEL_ZV1_SETOUT0
	BSF S2,4
	GOTO LABEL_ZV1_SETOUT0_END
LABEL_ZV1_SETOUT0
	BCF S2,4
LABEL_ZV1_SETOUT0_END

; Output Q1

	BTFSS ZV1,1
	GOTO LABEL_ZV1_SETOUT1
	BSF S2,5
	GOTO LABEL_ZV1_SETOUT1_END
LABEL_ZV1_SETOUT1
	BCF S2,5
LABEL_ZV1_SETOUT1_END

; Output Q2

	BTFSS ZV1,2
	GOTO LABEL_ZV1_SETOUT2
	BSF S2,6
	GOTO LABEL_ZV1_SETOUT2_END
LABEL_ZV1_SETOUT2
	BCF S2,6
LABEL_ZV1_SETOUT2_END


LABEL_ZV1_SETFD

; Test auf negative Flanke

	BTFSC S2,2
	GOTO LABEL_ZV1_EXIT
	BCF ZV1_FD,0

LABEL_ZV1_EXIT

;***************************************************
; GND
;***************************************************

	BCF S2,7	; immer Low

;***************************************************
; Vergleich -> IF1
;***************************************************

	MOVLW 10
	SUBWF Z1,W	; F - W -> W

LABEL_IF1_CHECK
	BTFSS STATUS,ZERO	; Test auf -> =
	GOTO LABEL_IF1_FALSE

LABEL_IF1_TRUE
	BSF S2,0
	GOTO LABEL_IF1_EXIT

LABEL_IF1_FALSE
	BCF S2,0

LABEL_IF1_EXIT
;***************************************************
; Vergleich -> IF2
;***************************************************

	MOVLW 6
	SUBWF Z10,W	; F - W -> W

LABEL_IF2_CHECK
	BTFSS STATUS,ZERO	; Test auf -> =
	GOTO LABEL_IF2_FALSE

LABEL_IF2_TRUE
	BSF S2,1
	GOTO LABEL_IF2_EXIT

LABEL_IF2_FALSE
	BCF S2,1

LABEL_IF2_EXIT
;***************************************************
; Zhler -> ZR5
;***************************************************

	BTFSS S3,1	; Reset ?
	GOTO LABEL_ZR5_COUNT
	CLRF ZR5
	GOTO LABEL_ZR5_SETOUT

LABEL_ZR5_COUNT

; Test auf positive Flanke

	BTFSC ZR5_FD,0
	GOTO LABEL_ZR5_SETFD
	BTFSS S3,0
	GOTO LABEL_ZR5_SETFD

	INCF ZR5,F

LABEL_ZR5_SETOUT

LABEL_ZR5_SETFD

	BTFSS S3,0
	GOTO LABEL_ZR5_SETFD2
	BSF ZR5_FD,0
	GOTO LABEL_ZR5_END
LABEL_ZR5_SETFD2
	BCF ZR5_FD,0
LABEL_ZR5_END

;***************************************************
; Vergleich -> IF3
;***************************************************

	MOVLW 60
	SUBWF ZR5,W	; F - W -> W

LABEL_IF3_CHECK
	BTFSS STATUS,ZERO	; Test auf -> =
	GOTO LABEL_IF3_FALSE

LABEL_IF3_TRUE
	BSF S3,1
	GOTO LABEL_IF3_EXIT

LABEL_IF3_FALSE
	BCF S3,1

LABEL_IF3_EXIT
;***************************************************
; Vergleich -> IF4
;***************************************************

	MOVLW 10
	SUBWF Z100,W	; F - W -> W

LABEL_IF4_CHECK
	BTFSS STATUS,ZERO	; Test auf -> =
	GOTO LABEL_IF4_FALSE

LABEL_IF4_TRUE
	BSF S3,5
	GOTO LABEL_IF4_EXIT

LABEL_IF4_FALSE
	BCF S3,5

LABEL_IF4_EXIT
;***************************************************
; Vergleich -> IF5
;***************************************************

	MOVLW 2
	SUBWF Z1000,W	; F - W -> W

LABEL_IF5_CHECK
	BTFSS STATUS,ZERO	; Test auf -> =
	GOTO LABEL_IF5_FALSE

LABEL_IF5_TRUE
	BSF S3,3
	GOTO LABEL_IF5_EXIT

LABEL_IF5_FALSE
	BCF S3,3

LABEL_IF5_EXIT
;***************************************************
; Vergleich -> IF6
;***************************************************

	MOVLW 4
	SUBWF Z100,W	; F - W -> W

LABEL_IF6_CHECK
	BTFSS STATUS,ZERO	; Test auf -> =
	GOTO LABEL_IF6_FALSE

LABEL_IF6_TRUE
	BSF S3,2
	GOTO LABEL_IF6_EXIT

LABEL_IF6_FALSE
	BCF S3,2

LABEL_IF6_EXIT
;***************************************************
; UND - Gatter -> LG5
;***************************************************

LABEL_LG5_1
	BTFSS S3,2
	GOTO LABEL_LG5_FALSE
LABEL_LG5_2
	BTFSS S3,3
	GOTO LABEL_LG5_FALSE

LABEL_LG5_TRUE
	BSF S3,4
	GOTO LABEL_LG5_ENDE
LABEL_LG5_FALSE
	BCF S3,4
LABEL_LG5_ENDE
;***************************************************
; ODER - Gatter -> LG6
;***************************************************

LABEL_LG6_1
	BTFSC S3,4
	GOTO LABEL_LG6_TRUE
LABEL_LG6_2
	BTFSC S3,5
	GOTO LABEL_LG6_TRUE

LABEL_LG6_FALSE
	BCF S2,3
	GOTO LABEL_LG6_ENDE
LABEL_LG6_TRUE
	BSF S2,3
LABEL_LG6_ENDE
;***************************************************
; UND - Gatter -> LG7
;***************************************************

LABEL_LG7_1
	BTFSS S3,6
	GOTO LABEL_LG7_FALSE
LABEL_LG7_2
	BCF STATUS,RP0	; Bank 0
	BTFSS PORTB,7
	GOTO LABEL_LG7_FALSE

LABEL_LG7_TRUE
	BSF S4,0
	GOTO LABEL_LG7_ENDE
LABEL_LG7_FALSE
	BCF S4,0
LABEL_LG7_ENDE
;***************************************************
; UND - Gatter -> LG8
;***************************************************

LABEL_LG8_1
	BTFSS S3,7
	GOTO LABEL_LG8_FALSE
LABEL_LG8_2
	BCF STATUS,RP0	; Bank 0
	BTFSC PORTB,7
	GOTO LABEL_LG8_FALSE

LABEL_LG8_TRUE
	BSF S4,1
	GOTO LABEL_LG8_ENDE
LABEL_LG8_FALSE
	BCF S4,1
LABEL_LG8_ENDE
;***************************************************
; Timer -> TR3
;***************************************************

	MOVLW 0	; Test auf >=
	SUBWF TR3_HI,W	;F-W -> W
	BTFSS STATUS,ZERO
	GOTO LABEL_TR3_CHECK
	MOVLW 12
	SUBWF TR3,W	;F-W -> W
LABEL_TR3_CHECK
	BTFSS STATUS,CARRY
	GOTO LABEL_TR3_ENDE

LABEL_TR3_RESET
	MOVLW 0	; Test auf >=
	SUBWF TR3_HI,F	;F-W -> F
	MOVLW 12
	SUBWF TR3,F	;F-W -> F
	BTFSS STATUS,CARRY
	DECF TR3_HI,F

LABEL_TR3_SET	; toggel output
	BTFSC S3,7
	GOTO LABEL_TR3_CLR
	BSF S3,7
	GOTO LABEL_TR3_ENDE
LABEL_TR3_CLR
	BCF S3,7
LABEL_TR3_ENDE

;***************************************************
; ODER - Gatter -> LG9
;***************************************************

LABEL_LG9_1
	BTFSC S4,0
	GOTO LABEL_LG9_TRUE
LABEL_LG9_2
	BTFSC S4,1
	GOTO LABEL_LG9_TRUE

LABEL_LG9_FALSE
	BCF S2,2
	GOTO LABEL_LG9_ENDE
LABEL_LG9_TRUE
	BSF S2,2
LABEL_LG9_ENDE
;****************************************

	GOTO MAIN

	ORG 1007
;***************************************************
; Table -> BIN_TO_7SEG
;***************************************************

BIN_TO_7SEG

	MOVWF SYS_TMP1
	MOVLW HIGH BIN_TO_7SEG_WERTE
	MOVWF PCLATH
	MOVFW SYS_TMP1
	BCF INTCON,GIE
	ADDWF PCL,F

BIN_TO_7SEG_WERTE

	RETLW 63	; // INDEX 0
	RETLW 6	; // INDEX 1
	RETLW 91	; // INDEX 2
	RETLW 79	; // INDEX 3
	RETLW 102	; // INDEX 4
	RETLW 109	; // INDEX 5
	RETLW 125	; // INDEX 6
	RETLW 7	; // INDEX 7
	RETLW 127	; // INDEX 8
	RETLW 111	; // INDEX 9
	RETLW 63	; // INDEX 10


	END

